import httpClient from '@/common/http-client'


// HUBEZ_BO_API_11002 발신번호 차단 상세 정보 조회
const intrcpDetail = (params) => {
    return httpClient.post('/api/v1/bo/riskMgt/sendNum/intrcpDetail', params, { withCredentials: false });
}
// HUBEZ_BO_API_11003 발신번호 차단 신규 등록
const insertIntrcp = (params) => {
    return httpClient.post('/api/v1/bo/riskMgt/sendNum/insertIntrcp', params, { withCredentials: false });
}
// HUBEZ_BO_API_11004 발신번호 차단 수정
const updateIntrcp = (params) => {
    return httpClient.post('/api/v1/bo/riskMgt/sendNum/updateIntrcp', params, { withCredentials: false });
}
// HUBEZ_BO_API_11005 발신번호 차단 삭제
const deleteIntrcp = (params) => {
    return httpClient.post('/api/v1/bo/riskMgt/sendNum/deleteIntrcp', params, { withCredentials: false });
}

const msgInsertIntrcp = (params) => {
    return httpClient.post('/api/v1/bo/riskMgt/msg/insertIntrcp', params, { withCredentials: false });
}

const msgIntrcpDetail = (params) => {
    return httpClient.post('/api/v1/bo/riskMgt/msg/intrcpDetail', params, { withCredentials: false });
}

const deleteMsgIntrcp = (params) => {
    return httpClient.post('/api/v1/bo/riskMgt/msg/deleteIntrcp', params, { withCredentials: false });
}

const updateMsgIntrcp = (params) => {
    return httpClient.post('/api/v1/bo/riskMgt/msg/updateIntrcp', params, { withCredentials: false });
}

export default {
    updateIntrcp,
    intrcpDetail,
    insertIntrcp,
    deleteIntrcp,
    msgInsertIntrcp,
    msgIntrcpDetail,
    deleteMsgIntrcp,
    updateMsgIntrcp
}